---
title: "Set Channel Topic"
slug: "set-channel-topic"
updated: 2026-06-08T12:46:40Z
published: 2026-06-08T12:46:40Z
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Set Channel Topic

Post/api/v1/channels.setTopic

Set the topic for a channel. Permission required: `edit-room`.

### Changelog

| Version | Description |
| --- | --- |
| 0.13.0 | Added |

Header parametersX-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ

Body parameters<select class='api-response-data' aria-label='Media type'><option value='1e201605-ae29-43b3-b46c-f064d49d5033'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='7c7e5b81-906d-48e2-a2d1-c68b6e3e8217'>Example</option>
</select>Example

```json
{
  "roomId": "WDuJLFkjwk6L7LdFC",
  "topic": "Discuss all of the testing"
}
```

object  roomIdstring    Required

The channel's ID.

topicstring    Required

The channel's topic

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='09bb3a17-f1c5-4c63-bb0e-7d13f5843c7c'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='1e789821-b616-4844-b3c9-90f98fee6c84'>Success</option>
</select>Success

```json
{
  "topic": "Discuss all of the testing",
  "success": true
}
```

object  topicstring    
successboolean    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='dc8a29a9-a896-443b-9953-3485cf715ff3'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='6d6ce73a-72a2-4ee7-927a-c67bbf1b9efb'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
